OTS-SANITIZE(1)

NAME
ots-sanitize - font validator and transcoder

SYNOPSIS
ots-sanitize [OPTIONS]... FONT_FILE [DEST_FONT_FILE] [FONT_INDEX]

DESCRIPTION

ots-sanitize is a program which validates and/or transcodes a font file using the OTS library.

The OpenType Sanitizer (OTS) parses and serializes OpenType files (OTF, TTF) and WOFF and WOFF2 font files, validating them and sanitizing them as it goes.

--quiet
    do not display information or error messages

--version
    output version information and exit

EXAMPLES
Sanitize a sample and save it to another file:

    $ ots-sanitize sample.otf transcoded_sample.otf
    File sanitized successfully!

Try to sanitize a malformed file:

    $ ots-sanitize malformed.ttf
    WARNING: bad range shift
    ERROR at src/ots.cc:670 (ProcessGeneric)
    Failed to sanitize file!

REPORTING BUGS
Report bugs to <https://github.com/khaledhosny/ots/issues>

SEE ALSO
ots-idempotent(1), ots-perf(1), ots-side-by-side(1), ots-validator-checker(1)